# Uses of Class
org.apache.sysds.runtime.compress.colgroup.ColGroupUtils.P

Packages that use ColGroupUtils.P
Package
Description
org.apache.sysds.runtime.compress.colgroup

## Uses of ColGroupUtils.P in org.apache.sysds.runtime.compress.colgroup

Methods in org.apache.sysds.runtime.compress.colgroup that return ColGroupUtils.P
Modifier and Type
Method
Description
`static ColGroupUtils.P[]`
ColGroupUtils.`getSortedSelection(SparseBlock sb, int rl, int ru)`
Get a list of points locations from the SparseBlock.
Methods in org.apache.sysds.runtime.compress.colgroup with parameters of type ColGroupUtils.P
Modifier and Type
Method
Description
`final void`
AColGroup.`selectionMultiply(MatrixBlock selection, ColGroupUtils.P[] points, MatrixBlock ret, int rl, int ru)`
Selection (left matrix multiply)
`void`
ColGroupDDC.`sparseSelection(MatrixBlock selection, ColGroupUtils.P[] points, MatrixBlock ret, int rl, int ru)`
`void`
ColGroupDDCLZW.`sparseSelection(MatrixBlock selection, ColGroupUtils.P[] points, MatrixBlock ret, int rl, int ru)`
`void`
ColGroupLinearFunctional.`sparseSelection(MatrixBlock selection, ColGroupUtils.P[] points, MatrixBlock ret, int rl, int ru)`
`void`
ColGroupSDCFOR.`sparseSelection(MatrixBlock selection, ColGroupUtils.P[] points, MatrixBlock ret, int rl, int ru)`
`void`
ColGroupSDCZeros.`sparseSelection(MatrixBlock selection, ColGroupUtils.P[] points, MatrixBlock ret, int rl, int ru)`
`void`
ColGroupUncompressed.`sparseSelection(MatrixBlock selection, ColGroupUtils.P[] points, MatrixBlock ret, int rl, int ru)`